Skip to main content
POST
/
api
/
chat-agents
/
{agentId}
/
publish
Publish chat agent draft
curl --request POST \
  --url https://api.upon-ai.com/api/chat-agents/{agentId}/publish \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": 123
}
'
{
  "agent_id": "<string>",
  "agent_name": "<string>",
  "version": 123,
  "response_engine": {
    "type": "<string>",
    "llm_id": "<string>"
  },
  "auto_close_message": "<string>",
  "is_public": true,
  "end_chat_after_silence_ms": 123,
  "webhook_url": "<string>",
  "webhook_events": [
    "<string>"
  ],
  "timezone": "<string>",
  "data_storage_setting": "<string>",
  "data_storage_retention_days": 123,
  "post_chat_analysis_model": "<string>",
  "post_chat_analysis_data": [
    {}
  ],
  "uponai_dynamic_variables": {}
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

agentId
string
required

Agent identifier.

Body

application/json
workspaceId
integer
required

Response

200 - application/json

Published chat agent.

agent_id
string
agent_name
string
version
integer
response_engine
object
auto_close_message
string | null
is_public
boolean
end_chat_after_silence_ms
integer | null
webhook_url
string<uri> | null
webhook_events
string[]
timezone
string | null
data_storage_setting
string | null
data_storage_retention_days
integer | null
post_chat_analysis_model
string | null
post_chat_analysis_data
object[]
uponai_dynamic_variables
object